Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(revision 51)
@@ -0,0 +1,325 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 資材種類マスタアクセスクラス
+    /// </summary>
+    public class IOMaterialTypes : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 資材種類マスタフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            MaterialTypesCode = 0,
+            MaterialTypesName,
+            DisplayOrder,
+            DeleteFlg,
+            ENTRY_DATE,
+            UPDATE_DATE
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOMaterialTypes()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region パブリックメソッド
+        /// <summary>
+        /// 資材種類マスタ検索
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">資材種類マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool SelectAction(string AddSQLString, ref List<MaterialKindMaster> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " MaterialKindCode, MaterialKindName, DisplayOrder, DeleteFlg";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM MaterialKindMaster";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    MaterialKindMaster work = new MaterialKindMaster();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+
+        /// <summary>
+        /// 資材種類マスタ追加
+        /// </summary>
+        /// <param name="data">資材種類マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<MaterialKindMaster> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (MaterialKindMaster work in data)
+                {
+                    strcmd = "INSERT INTO MaterialKindMaster";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", work.MaterialKindCode.ToString());
+                    strcmd += string.Format(", '{0}'", work.MaterialKindName);
+                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
+                    strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// 資材種類マスタ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">業種マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, MaterialKindMaster data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE MaterialKindMaster";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" MaterialKindCode = {0}", data.MaterialKindCode.ToString());
+                strcmd += string.Format(",MaterialKindName = '{0}'", data.MaterialKindName);
+                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+
+        /// <summary>
+        /// 資材種類マスタ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">資材種類マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = "Update MaterialKindMaster Set DeleteFlg = 1,DisplayOrder = 999";
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref MaterialKindMaster wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.MaterialKindCode  = int.Parse(objwrk[(int)NameColumn.MaterialTypesCode].ToString());
+                wrk.MaterialKindName = objwrk[(int)NameColumn.MaterialTypesName].ToString();
+                wrk.DisplayOrder = int.Parse(objwrk[(int)NameColumn.DisplayOrder].ToString());
+                wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
+
+                wrk.EntryDate = objwrk[(int)NameColumn.ENTRY_DATE].ToString() == "" ? DateTime.Parse("2001/01/01") : DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = objwrk[(int)NameColumn.UPDATE_DATE].ToString()=="" ? DateTime.Parse("2001/01/01") : DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+            }
+            catch (MySqlException oraex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        #endregion
+
+        #region パブリックメソッド（特殊処理）
+
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int MaterialTypesCode)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where MaterialKindCode = {0}", MaterialTypesCode);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+
+        /// <summary>
+        /// 最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxMaterialKindKeyCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(MaterialKindCode), 0) FROM MaterialKindMaster" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals(""))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+
+        /// <summary>
+        /// 行ロック
+        /// </summary>
+        /// <param name="MaterialTypesCode"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool RowLock(int MaterialTypesCode, bool bConnect = true)
+        {
+
+            //インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = string.Format("select * from MaterialKindMaster  where MaterialKindCode={0} for update", MaterialTypesCode);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+             
+        }
+
+        #endregion
+
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs	(revision 51)
@@ -31,7 +31,7 @@
         /// <summary>
         /// 掲示板データフィールド並び
         /// </summary>
-        public enum NameColumn
+        public enum ColumnCnt
         {
             RecordNumber = 0,       // レコード番号
             BranchNumber,           // レコード枝番
@@ -133,7 +133,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -174,7 +174,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -192,38 +192,56 @@
             try
             {
 
-                    strcmd = "INSERT INTO MessageBoardData";
+                strcmd = "INSERT INTO MessageBoardData";
 
-                    strcmd += " VALUES (";
+                strcmd += " (RecordNumber,";
+                strcmd += " BranchNumber,";
+                strcmd += " FromCode,";
+                strcmd += " FromName,";
+                strcmd += " MessageTitile,";
+                strcmd += " MessageContent,";
+                strcmd += " LinkType,";
+                strcmd += " LinkMessage,";
+                strcmd += " LinkCode,";
+                strcmd += " WritingDate,";
+                strcmd += " PersonCode,";
+                strcmd += " ShareFlag,";
+                strcmd += " MessageColor,";
+                strcmd += " BackColor,";
+                strcmd += " MessageFlag,";
+                strcmd += " EntryDate,";
+                strcmd += " UpdateDate)";
 
-                    strcmd += string.Format("  {0} ", data.RecordNumber.ToString());
-                    strcmd += string.Format(", {0} ", data.BranchNumber.ToString());
-                    strcmd += string.Format(", {0} ", data.FromCode);
-                    strcmd += string.Format(",'{0}'", data.FromName);
-                    strcmd += string.Format(",'{0}'", data.MessageTitle);
-                    strcmd += string.Format(",'{0}'", data.MessageContent);
-                    strcmd += string.Format(", {0} ", data.LinkType);
-                    strcmd += string.Format(",'{0}'", data.LinkMessage);
-                    strcmd += string.Format(",'{0}'", data.LinkCode);
+                strcmd += " VALUES (";
 
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')", data.WritingDate.ToString());
-                    strcmd += string.Format(", {0} ", data.PersonCode.ToString());
-                    strcmd += string.Format(", {0} ", data.ShareFlag.ToString());
-                    strcmd += string.Format(",'{0}'", data.MessageColor);
-                    strcmd += string.Format(",'{0}'", data.BackColor);
-                    strcmd += string.Format(", {0} ", data.MessageFlag.ToString());
+                strcmd += string.Format("  {0} ", data.RecordNumber.ToString());
+                strcmd += string.Format(", {0} ", data.BranchNumber.ToString());
+                strcmd += string.Format(", {0} ", data.FromCode);
+                strcmd += string.Format(",'{0}'", data.FromName);
+                strcmd += string.Format(",'{0}'", data.MessageTitle);
+                strcmd += string.Format(",'{0}'", data.MessageContent);
+                strcmd += string.Format(", {0} ", data.LinkType);
+                strcmd += string.Format(",'{0}'", data.LinkMessage);
+                strcmd += string.Format(",'{0}'", data.LinkCode);
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd = strcmd + ")";
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.WritingDate.ToString());
+                strcmd += string.Format(", {0} ", data.PersonCode.ToString());
+                strcmd += string.Format(", {0} ", data.ShareFlag.ToString());
+                strcmd += string.Format(",'{0}'", data.MessageColor);
+                strcmd += string.Format(",'{0}'", data.BackColor);
+                strcmd += string.Format(", {0} ", data.MessageFlag.ToString());
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
 
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -249,7 +267,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -288,7 +306,7 @@
                 strcmd += string.Format(",BackColor = '{0}'", data.BackColor.ToString());
                 strcmd += string.Format(",MessageFlag = {0} ", data.MessageFlag);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -297,7 +315,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -324,7 +342,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -341,32 +359,32 @@
             try
             {
                 // データ取得
-                wrk.RecordNumber = int.Parse(objwrk[(int)NameColumn.RecordNumber].ToString());
-                wrk.BranchNumber = int.Parse(objwrk[(int)NameColumn.BranchNumber].ToString());
-                wrk.FromCode = int.Parse(objwrk[(int)NameColumn.FromCode].ToString());
-                wrk.FromName = objwrk[(int)NameColumn.FromName].ToString();
-                wrk.MessageTitle = objwrk[(int)NameColumn.MessageTitle].ToString();
-                wrk.MessageContent = objwrk[(int)NameColumn.MessageContent].ToString();
-                wrk.LinkType = int.Parse(objwrk[(int)NameColumn.LinkType].ToString());
-                wrk.LinkMessage = objwrk[(int)NameColumn.LinkMessage].ToString();
-                wrk.LinkCode = objwrk[(int)NameColumn.LinkCode].ToString();
-                wrk.WritingDate = DateTime.Parse(objwrk[(int)NameColumn.WritingDate].ToString());
-                wrk.PersonCode = int.Parse(objwrk[(int)NameColumn.PersonCode].ToString());
-                wrk.ShareFlag = int.Parse(objwrk[(int)NameColumn.ShareFlag].ToString());
-                wrk.MessageColor = objwrk[(int)NameColumn.MessageColor].ToString();
-                wrk.BackColor = objwrk[(int)NameColumn.BackColor].ToString();
-                wrk.MessageFlag = int.Parse(objwrk[(int)NameColumn.MessageFlag].ToString());
+                wrk.RecordNumber = int.Parse(objwrk[(int)ColumnCnt.RecordNumber].ToString());
+                wrk.BranchNumber = int.Parse(objwrk[(int)ColumnCnt.BranchNumber].ToString());
+                wrk.FromCode = int.Parse(objwrk[(int)ColumnCnt.FromCode].ToString());
+                wrk.FromName = objwrk[(int)ColumnCnt.FromName].ToString();
+                wrk.MessageTitle = objwrk[(int)ColumnCnt.MessageTitle].ToString();
+                wrk.MessageContent = objwrk[(int)ColumnCnt.MessageContent].ToString();
+                wrk.LinkType = int.Parse(objwrk[(int)ColumnCnt.LinkType].ToString());
+                wrk.LinkMessage = objwrk[(int)ColumnCnt.LinkMessage].ToString();
+                wrk.LinkCode = objwrk[(int)ColumnCnt.LinkCode].ToString();
+                wrk.WritingDate = DateTime.Parse(objwrk[(int)ColumnCnt.WritingDate].ToString());
+                wrk.PersonCode = int.Parse(objwrk[(int)ColumnCnt.PersonCode].ToString());
+                wrk.ShareFlag = int.Parse(objwrk[(int)ColumnCnt.ShareFlag].ToString());
+                wrk.MessageColor = objwrk[(int)ColumnCnt.MessageColor].ToString();
+                wrk.BackColor = objwrk[(int)ColumnCnt.BackColor].ToString();
+                wrk.MessageFlag = int.Parse(objwrk[(int)ColumnCnt.MessageFlag].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnCnt.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnCnt.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
         #endregion
